package org.jeecg.modules.apiservice;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.*;
import org.jeecg.modules.hanHaiMember.entity.HanHaiMember;

public interface InfoApiService {

    //获取个人信息接口
    Result<?> getInfo(String token);

    //修改个人信息接口
    Result<?> updateInfo(String token, HanHaiMember bean);

    //加油小程序-获取订单流水信息
    Result<?> getOrderWaterPage(String token,OrderWaterPageBean bean);
    //加油小程序-用户输入支付创建支付订单并且支付
    Result<?> createOrderPay(String token,OrderPayBean bean);


    //获取充值套餐列表
    Result<?> getRechargePage(OrderRechargeBean bean);

    //获取配置信息：折扣、客户电话、客户微信
    Result<?> getConfig(String keyValue);

    //支付回调
    Object createNotify(String requestBody);

}
